import 'package:flutter/material.dart';
import 'tour_select.dart';

class LoginPage extends StatefulWidget {
  const LoginPage({super.key});

  @override
  State<StatefulWidget> createState() => _LoginPageState();
}

class _LoginPageState extends State<LoginPage> {
  void _onLogin() {
    Navigator.pushReplacement(context, MaterialPageRoute(builder: (context) => const TourSelectPage()));
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: Padding(
          padding: EdgeInsets.only(
            top: MediaQuery.of(context).size.height * 0.1,
          ),
          child: Column(
            children: [
              Image.asset(
                "assets/graphics/bg-supplier-clouds.png",
                fit: BoxFit.contain,
              ),
              Text(
                "Willkommen bei\nGaslieferung!",
                style: Theme.of(context).textTheme.headlineMedium,
                textAlign: TextAlign.center,
              ),

              Text(
                "\nMelden Sie sich an, um Ihre Tour zu starten.",
                style: Theme.of(context).textTheme.bodySmall,
                textAlign: TextAlign.center,
              ),

              Padding(
                padding: const EdgeInsets.all(50),
                child: FilledButton(
                  onPressed: _onLogin,
                  child: Text("Einloggen"),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
